import { RouterType } from "@/types";
import React from "react";

const tabLeftArr: RouterType = [
  {
    id: "1",
    name: "业务配置",
    son: [
      {
        id: "1.1",
        name: "视频管理",
        path: "/",
        Com: React.lazy(() => import("../A1video")),
        done: true,
      },
      {
        id: "1.2",
        name: "海报管理",
        path: "/poster",
        Com: React.lazy(() => import("../A2poster")),
        done: true,
      },
      {
        id: "1.3",
        name: "播放管理",
        path: "/play",
        Com: React.lazy(() => import("../A3play")),
        done: true,
      },
      {
        id: "1.4",
        name: "云展管理",
        path: "/exhibit",
        Com: React.lazy(() => import("../A4exhibit")),
        done: true,
      },
      {
        id: "1.5",
        name: "馆藏管理",
        path: "/goods",
        Com: React.lazy(() => import("../A5goods")),
        done: true,
      },
      {
        id: "1.6",
        name: "热度统计",
        path: "/hot",
        Com: React.lazy(() => import("../A6hot")),
        done: true,
      },
      {
        id: "1.7",
        name: "问卷管理",
        path: "/ques",
        Com: React.lazy(() => import("../A6_1ques")),
        done: true,
      },
    ],
  },
  {
    id: "2",
    name: "系统管理",
    son: [
      {
        id: "3.1",
        name: "用户管理",
        path: "/user",
        Com: React.lazy(() => import("../A7user")),
        done: false,
      },
      {
        id: "3.2",
        name: "系统日志",
        path: "/log",
        Com: React.lazy(() => import("../A8log")),
        done: false,
      },
    ],
  },
];

export default tabLeftArr;
